<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:49:59 CEST 2020 -->
<title>RTComponentModelPackageImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RTComponentModelPackageImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":9,"i29":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RTComponentModelPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RunTimeSupportImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html" target="_top">Frames</a></li>
<li><a href="RTComponentModelPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl</div>
<h2 title="Class RTComponentModelPackageImpl" class="title">Class RTComponentModelPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl.RTComponentModelPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RTComponentModelPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></h3>
<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTComponentModelPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></h3>
<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT">CH_RT_PORT_SLOT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION">CH_RT_PORT_SLOT__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT__BASE_SLOT">CH_RT_PORT_SLOT__BASE_SLOT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT__CH_RT_SPECIFICATION">CH_RT_PORT_SLOT__CH_RT_SPECIFICATION</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_PORT_SLOT_FEATURE_COUNT">CH_RT_PORT_SLOT_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION">CH_RT_SPECIFICATION</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__BASE_COMMENT">CH_RT_SPECIFICATION__BASE_COMMENT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__BLOCK_T">CH_RT_SPECIFICATION__BLOCK_T</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__CEILING">CH_RT_SPECIFICATION__CEILING</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__CONTEXT">CH_RT_SPECIFICATION__CONTEXT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__HEAP_SIZE">CH_RT_SPECIFICATION__HEAP_SIZE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__LOCAL_WCET">CH_RT_SPECIFICATION__LOCAL_WCET</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT">CH_RT_SPECIFICATION__MEMORY_SIZE_FOOTPRINT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__OCC_KIND">CH_RT_SPECIFICATION__OCC_KIND</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC">CH_RT_SPECIFICATION__OPERATION_REQ_FOR_SPORADIC_OCC</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__PART_WITH_PORT">CH_RT_SPECIFICATION__PART_WITH_PORT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__PROTECTION">CH_RT_SPECIFICATION__PROTECTION</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__RELATIVE_PRIORITY">CH_RT_SPECIFICATION__RELATIVE_PRIORITY</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__RESP_T">CH_RT_SPECIFICATION__RESP_T</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__RL_DL">CH_RT_SPECIFICATION__RL_DL</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__SLOT">CH_RT_SPECIFICATION__SLOT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__STACK_SIZE">CH_RT_SPECIFICATION__STACK_SIZE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION__WCET">CH_RT_SPECIFICATION__WCET</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#CH_RT_SPECIFICATION_FEATURE_COUNT">CH_RT_SPECIFICATION_FEATURE_COUNT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eNAME">eNAME</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT">RUN_TIME_SUPPORT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT__BASE_COMMENT">RUN_TIME_SUPPORT__BASE_COMMENT</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT__MONITORING">RUN_TIME_SUPPORT__MONITORING</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT__VERIFICATION">RUN_TIME_SUPPORT__VERIFICATION</a>, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#RUN_TIME_SUPPORT_FEATURE_COUNT">RUN_TIME_SUPPORT_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtPortSlot_Base_InstanceSpecification--">getCHRtPortSlot_Base_InstanceSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtPortSlot_Base_Slot--">getCHRtPortSlot_Base_Slot</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtPortSlot_CH_RtSpecification--">getCHRtPortSlot_CH_RtSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtPortSlot--">getCHRtPortSlot</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_Base_Comment--">getCHRtSpecification_Base_Comment</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_BlockT--">getCHRtSpecification_BlockT</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_Ceiling--">getCHRtSpecification_Ceiling</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_Context--">getCHRtSpecification_Context</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_HeapSize--">getCHRtSpecification_HeapSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_LocalWCET--">getCHRtSpecification_LocalWCET</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_MemorySizeFootprint--">getCHRtSpecification_MemorySizeFootprint</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_OccKind--">getCHRtSpecification_OccKind</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_OperationReqForSporadicOcc--">getCHRtSpecification_OperationReqForSporadicOcc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_PartWithPort--">getCHRtSpecification_PartWithPort</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_Protection--">getCHRtSpecification_Protection</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_RelativePriority--">getCHRtSpecification_RelativePriority</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_RespT--">getCHRtSpecification_RespT</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_RlDl--">getCHRtSpecification_RlDl</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_Slot--">getCHRtSpecification_Slot</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_StackSize--">getCHRtSpecification_StackSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification_WCET--">getCHRtSpecification_WCET</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getCHRtSpecification--">getCHRtSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getRTComponentModelFactory--">getRTComponentModelFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getRunTimeSupport_Base_Comment--">getRunTimeSupport_Base_Comment</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getRunTimeSupport_Monitoring--">getRunTimeSupport_Monitoring</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getRunTimeSupport_Verification--">getRunTimeSupport_Verification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#getRunTimeSupport--">getRunTimeSupport</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eINSTANCE"><code>RTComponentModelPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#eNS_URI"><code>RTComponentModelPackage.eNS_URI</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtPortSlot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getCHRtPortSlot()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--">getCHRtPortSlot</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Rt Port Slot</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code>CHRtPortSlot</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtPortSlot_Base_Slot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot_Base_Slot</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtPortSlot_Base_Slot()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot_Base_Slot--">getCHRtPortSlot_Base_Slot</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Slot</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_Slot--"><code>CHRtPortSlot.getBase_Slot()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--"><code>RTComponentModelPackage.getCHRtPortSlot()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtPortSlot_CH_RtSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot_CH_RtSpecification</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtPortSlot_CH_RtSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot_CH_RtSpecification--">getCHRtPortSlot_CH_RtSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>CH Rt Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getCH_RtSpecification--"><code>CHRtPortSlot.getCH_RtSpecification()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--"><code>RTComponentModelPackage.getCHRtPortSlot()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtPortSlot_Base_InstanceSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtPortSlot_Base_InstanceSpecification</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtPortSlot_Base_InstanceSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot_Base_InstanceSpecification--">getCHRtPortSlot_Base_InstanceSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Instance Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtPortSlot.html#getBase_InstanceSpecification--"><code>CHRtPortSlot.getBase_InstanceSpecification()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtPortSlot--"><code>RTComponentModelPackage.getCHRtPortSlot()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getRunTimeSupport()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--">getRunTimeSupport</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Run Time Support</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code>RunTimeSupport</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport_Monitoring--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport_Monitoring</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRunTimeSupport_Monitoring()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport_Monitoring--">getRunTimeSupport_Monitoring</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Monitoring</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isMonitoring--"><code>RunTimeSupport.isMonitoring()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--"><code>RTComponentModelPackage.getRunTimeSupport()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport_Verification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport_Verification</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getRunTimeSupport_Verification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport_Verification--">getRunTimeSupport_Verification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Verification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#isVerification--"><code>RunTimeSupport.isVerification()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--"><code>RTComponentModelPackage.getRunTimeSupport()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRunTimeSupport_Base_Comment--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunTimeSupport_Base_Comment</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getRunTimeSupport_Base_Comment()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport_Base_Comment--">getRunTimeSupport_Base_Comment</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Comment</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RunTimeSupport.html#getBase_Comment--"><code>RunTimeSupport.getBase_Comment()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRunTimeSupport--"><code>RTComponentModelPackage.getRunTimeSupport()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getCHRtSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--">getCHRtSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Rt Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel"><code>CHRtSpecification</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_PartWithPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_PartWithPort</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_PartWithPort()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_PartWithPort--">getCHRtSpecification_PartWithPort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Part With Port</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getPartWithPort--"><code>CHRtSpecification.getPartWithPort()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_WCET--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_WCET</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_WCET()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_WCET--">getCHRtSpecification_WCET</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>WCET</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getWCET--"><code>CHRtSpecification.getWCET()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_LocalWCET--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_LocalWCET</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_LocalWCET()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_LocalWCET--">getCHRtSpecification_LocalWCET</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Local WCET</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getLocalWCET--"><code>CHRtSpecification.getLocalWCET()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_RelativePriority--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_RelativePriority</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_RelativePriority()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_RelativePriority--">getCHRtSpecification_RelativePriority</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Relative Priority</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRelativePriority--"><code>CHRtSpecification.getRelativePriority()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Ceiling--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Ceiling</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_Ceiling()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Ceiling--">getCHRtSpecification_Ceiling</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Ceiling</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getCeiling--"><code>CHRtSpecification.getCeiling()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_MemorySizeFootprint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_MemorySizeFootprint</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_MemorySizeFootprint()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_MemorySizeFootprint--">getCHRtSpecification_MemorySizeFootprint</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Memory Size Footprint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getMemorySizeFootprint--"><code>CHRtSpecification.getMemorySizeFootprint()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_StackSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_StackSize</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_StackSize()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_StackSize--">getCHRtSpecification_StackSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Stack Size</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getStackSize--"><code>CHRtSpecification.getStackSize()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_HeapSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_HeapSize</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_HeapSize()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_HeapSize--">getCHRtSpecification_HeapSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Heap Size</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getHeapSize--"><code>CHRtSpecification.getHeapSize()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Slot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Slot</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_Slot()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Slot--">getCHRtSpecification_Slot</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Slot</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getSlot--"><code>CHRtSpecification.getSlot()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Base_Comment--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Base_Comment</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_Base_Comment()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Base_Comment--">getCHRtSpecification_Base_Comment</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Comment</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBase_Comment--"><code>CHRtSpecification.getBase_Comment()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_OccKind--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_OccKind</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_OccKind()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_OccKind--">getCHRtSpecification_OccKind</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Occ Kind</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOccKind--"><code>CHRtSpecification.getOccKind()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Protection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Protection</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_Protection()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Protection--">getCHRtSpecification_Protection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Protection</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getProtection--"><code>CHRtSpecification.getProtection()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_RlDl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_RlDl</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_RlDl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_RlDl--">getCHRtSpecification_RlDl</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Rl Dl</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRlDl--"><code>CHRtSpecification.getRlDl()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_Context--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_Context</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_Context()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_Context--">getCHRtSpecification_Context</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Context</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getContext--"><code>CHRtSpecification.getContext()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_RespT--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_RespT</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_RespT()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_RespT--">getCHRtSpecification_RespT</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Resp T</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getRespT--"><code>CHRtSpecification.getRespT()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_BlockT--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_BlockT</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getCHRtSpecification_BlockT()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_BlockT--">getCHRtSpecification_BlockT</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Block T</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getBlockT--"><code>CHRtSpecification.getBlockT()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getCHRtSpecification_OperationReqForSporadicOcc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCHRtSpecification_OperationReqForSporadicOcc</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getCHRtSpecification_OperationReqForSporadicOcc()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification_OperationReqForSporadicOcc--">getCHRtSpecification_OperationReqForSporadicOcc</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Operation Req For Sporadic Occ</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/CHRtSpecification.html#getOperationReqForSporadicOcc--"><code>CHRtSpecification.getOperationReqForSporadicOcc()</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getCHRtSpecification--"><code>RTComponentModelPackage.getCHRtSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRTComponentModelFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRTComponentModelFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelFactory</a>&nbsp;getRTComponentModelFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html#getRTComponentModelFactory--">getRTComponentModelFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTComponentModelPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel">RTComponentModelPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RTComponentModelPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RunTimeSupportImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/impl/RTComponentModelPackageImpl.html" target="_top">Frames</a></li>
<li><a href="RTComponentModelPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
